
Figure - Bug #118572
IOVISSUE-8839【VC1】【质量】【副屏】副屏播放腾讯视频，拨打电话时副屏视频自动切换视频
2023-06-06 14:34 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 获取焦点失败时，mute视频和游戏声音，暂停音乐。

Description

【问题描述】：副屏播放腾讯视频，拨打电话时副屏视频自动快进

【前置条件】：车辆上电

【软件/网络环境】：EE环境

【IDCM版本】：03.02.0086.C102 FSE-M：00106

【提报人】：李清鑫

【操作步骤】: 1.副屏播放腾讯视频，拨打电话时

【预期结果/行为】：副屏视频无异常

【实际结果/行为】：副屏视频自动切换视频

【问题发生频率】： 必现

【实车VIN】： LJD8BB3F7P0000711

【发生日期 & 时间】：2023/06/06 13:05

【数采仪编号】：0300138

【视频链接】：见附件

History

#1 - 2023-06-06 14:34 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118572

#2 - 2023-06-06 20:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

当前分析：

该问题是由于中控通话时，副屏失去焦点，然后再去播放视频时，会重新获取焦点，

这时焦点获取失败，导致音频部分暂停，视频发生加速，所以出现视频切换。

当前无法停止第三方的视频，原因如下：

1.第三方的player是应用自己实现的，无法获取到接口控制。

2.第三方的解码有的使用硬解，有的使用软解，而且可能用自身的解码方案，也无法控制。

3.仅停止声音会导致视频加速，该方案用户体验不好。

下一步：
尝试在获取焦点失败时，mute视频和游戏声音，暂停音乐。

#3 - 2023-06-08 14:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204067 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix video mixing issue during callsFix video mixing issue during callsTC-RID: 0301-0900116IssueID: TS-R-DF-118572Change-Id:

I3a0a1ed1e942f4b504a6ddfe54721f82acf15109

#4 - 2023-06-08 14:45 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 获取焦点失败时，mute视频和游戏声音，暂停音乐。

Hi 永红

该问题已经修复，请使用6月8日后的版本验证，谢谢！

#5 - 2023-06-12 15:18 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#6 - 2023-06-25 15:32 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

腾讯视频.mov 2.34 MB 2023-06-06 CD TEST-方永红
